<?php
/**
 * @file
 * OAI parser interface.
 * 
 * It defines the functions the OAI parsers should implement
 * 
 * @author Király Péter <kirunews@gmail.com>
 * 
 * @copyright (c) 2010-2011 eXtensible Catalog Organization
 */

interface IOAIParser {
  
  public function get_http_code();
  
  /** Has errors in OAI response? */
  public function has_errors();
  
  /** Get all errors */
  public function list_errors();
  
  /** Has records? */
  public function has_records();
  
  /** Get number of records */
  
  public function get_record_count();
  /** Get next record */
  public function get_next_record();
  
  /** Has resumptionToken? */
  public function has_resumptionToken();
  
  /** Get the resumptionToken */
  public function get_resumptionToken();
}