<?php
/**
 * Copyright 2008 Center for History and New Media
 *
 * This file is part of OAI-PMH Parser Library.
 *
 * OAI-PMH Parser Library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.

 * OAI-PMH Parser Library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with OAI-PMH Parser Library.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

function oaiPmhAutoload($packageName) {
  $path = OAIPMH_LIB_DIRECTORY_PATH
        . DIRECTORY_SEPARATOR
        . join(DIRECTORY_SEPARATOR, explode('_', $packageName))
        . '.php';
  require_once $path;
}

function arrayToHtml($array, $depth = 0) {
  $str = '';
  foreach ($array as $key => $value) {
    if (is_array($value)) {
      $str .= str_repeat('&nbsp;', $depth * 4) 
           . '<b>' . $key . '</b><br />' . "\n" 
           . arrayToHtml($value, $depth + 1);
    } 
    else {
      $str .= str_repeat('&nbsp;', $depth * 4)
           . '<b>' . $key . '</b>: ' 
           . $value . '<br />' . "\n";
    }
  }
  return $str;
}
