<?php
/**
 * Copyright 2008 Center for History and New Media
 *
 * This file is part of OAI-PMH Parser Library.
 *
 * OAI-PMH Parser Library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.

 * OAI-PMH Parser Library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with OAI-PMH Parser Library.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

class OaiPmh_Dom_Error extends OaiPmh_Dom {

  /**
   * Creates a response object from the OAI-PMH response
   * @param $response
   * @return unknown_type
   */
  public function __construct($response) {
    parent::__construct($response);
    $this->_setError();
  }

  /**
   * Parse the error response
   * @return unknown_type
   */
  protected function _setError() {
    // error 1-unbounded
    $errorDomNodeList = $this->_oaiPmhDomDocument->getElementsByTagNameNS(
      parent::NAMESPACE_URI, 'error');
    $errors = array();
    foreach ($errorDomNodeList as $errorDomElement) {
      $errors[] = array(
        'attributes' => $this->_getDomElementAttributes($errorDomElement), 
        'text' => $errorDomElement->nodeValue
      );
    }

    $this->_oaiPmh['error'] = $errors;
  }
}
