<?php
/**
 * Copyright 2008 Center for History and New Media
 *
 * This file is part of OAI-PMH Parser Library.
 *
 * OAI-PMH Parser Library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.

 * OAI-PMH Parser Library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with OAI-PMH Parser Library.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

class OaiPmh_Dom_ListMetadataFormats extends OaiPmh_Dom {
  
  /**
   * Creates a response object for ListSets response
   * @param $response The OAI-PMH response
   * @return unknown_type
   */
  public function __construct($response) {
    parent::__construct($response);
    $this->_setMetadataFormats();
  }

  /**
   * Parse the ListMetadataFormats response
   */
  protected function _setMetadataFormats() {
    // ListMetadataFormats 1
    $listMetadataFormatsDomElement = $this->_oaiPmhDomDocument->getElementsByTagNameNS(
      parent::NAMESPACE_URI, 'ListMetadataFormats')->item(0);

    // metadataFormat 1-unbounded
    $metadataFormatDomNodeList = $listMetadataFormatsDomElement->getElementsByTagNameNS(
      parent::NAMESPACE_URI, 'metadataFormat');

    foreach ($metadataFormatDomNodeList as $metadataFormatDomElement) {

      // metadataPrefix 1
      $metadataPrefixDomElement = $metadataFormatDomElement->getElementsByTagNameNS(
        parent::NAMESPACE_URI, 'metadataPrefix')->item(0);

      // schema 1
      $schemaDomElement = $metadataFormatDomElement->getElementsByTagNameNS(
        parent::NAMESPACE_URI, 'schema')->item(0);

      // metadataNamespace 1
      $metadataNamespaceDomElement = $metadataFormatDomElement->getElementsByTagNameNS(
        parent::NAMESPACE_URI, 'metadataNamespace')->item(0);

      $this->_oaiPmh['ListMetadataFormats']['metadataFormat'][] = array(
                'metadataPrefix'    => $metadataPrefixDomElement->nodeValue, 
                'schema'            => $schemaDomElement->nodeValue, 
                'metadataNamespace' => $metadataNamespaceDomElement->nodeValue
      );
    }
  }
}
