<?php
/**
 * Copyright 2008 Center for History and New Media
 *
 * This file is part of OAI-PMH Parser Library.
 *
 * OAI-PMH Parser Library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.

 * OAI-PMH Parser Library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with OAI-PMH Parser Library.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

class Schema_Friends extends Schema
{
  const NAMESPACE_URI = 'http://www.openarchives.org/OAI/2.0/friends';

  protected $friendsDomDocument;
  protected $friends;

  public function __construct($xml) {
    $this->friendsDomDocument = @DOMDocument::loadXML($xml);
    $this->setXmlArray();
  }

  public function getXmlArray() {
    return $this->friends;
  }

  public function getNamespaceUri() {
    return self::NAMESPACE_URI;
  }

  protected function setXmlArray() {
    // baseURL 0-unbounded
    $baseUrlDomNodeList = $this->friendsDomDocument->getElementsByTagName(
      'baseURL');
    $baseUrls = array();
    foreach ($baseUrlDomNodeList as $baseUrlDomElement) {
      $baseUrls[] = $baseUrlDomElement->nodeValue;
    }

    $this->friends['baseURL'] = $baseUrls;
  }
}
