<?php
/**
 * Copyright 2008 Center for History and New Media
 *
 * This file is part of OAI-PMH Parser Library.
 *
 * OAI-PMH Parser Library is free software: you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3 of 
 * the License, or (at your option) any later version.

 * OAI-PMH Parser Library is distributed in the hope that it will be 
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with OAI-PMH Parser Library.  If not, see 
 * <http://www.gnu.org/licenses/>.
 */

class Schema_OaiIdentifier extends Schema
{
    const NAMESPACE_URI = 'http://www.openarchives.org/OAI/2.0/oai-identifier/';

    protected $oaiIdentifierDomDocument;
    protected $oaiIdentifier;
    
    public function __construct($xml)
    {
        $this->oaiIdentifierDomDocument = @DOMDocument::loadXML($xml);
        $this->setXmlArray();
    }
    
    public function getXmlArray()
    {
        return $this->oaiIdentifier;
    }
    
    public function getNamespaceUri()
    {
        return self::NAMESPACE_URI;
    }

    protected function setXmlArray()
    {
        // scheme 1
        $schemeDomElement = $this->oaiIdentifierDomDocument->getElementsByTagName('scheme')->item(0);
        
        // repositoryIdentifier 1
        $repositoryIdentifierDomElement = $this->oaiIdentifierDomDocument->getElementsByTagName('repositoryIdentifier')->item(0);
        
        // delimiter 1
        $delimiterDomElement = $this->oaiIdentifierDomDocument->getElementsByTagName('delimiter')->item(0);
        
        // sampleIdentifier 1
        $sampleIdentifierDomElement = $this->oaiIdentifierDomDocument->getElementsByTagName('sampleIdentifier')->item(0);
        
        $this->oaiIdentifier['scheme']               = $schemeDomElement->nodeValue;
        $this->oaiIdentifier['repositoryIdentifier'] = $repositoryIdentifierDomElement->nodeValue;
        $this->oaiIdentifier['delimiter']            = $delimiterDomElement->nodeValue;
        $this->oaiIdentifier['sampleIdentifier']     = $sampleIdentifierDomElement->nodeValue;
    }
}
